import { HttpRequestConfigurations } from '../types/http-configurations.enum';
export class RequestMapper {
    static for(request, method) {
        return {
            cache: request.cache,
            mode: request.mode,
            credentials: request.credentials,
            headers: request.headers,
            redirect: request.redirect,
            referrer: request.referrer,
            method: method,
            body: method !== HttpRequestConfigurations.GET ? JSON.stringify(request.body) : null
        };
    }
}
