export class HttpInterceptors {
    constructor(interceptors) {
        this._interceptors = interceptors;
    }
    execute(data) {
        if (this._interceptors.length > 0) {
            return this._interceptors.reduce((a, b) => b.intercept(a), data);
        }
        return data;
    }
}
