import { HttpRequestConfig } from "./http-request-config.class";
export declare class HttpRequest {
    url: string;
    mode: RequestMode;
    cache: RequestCache;
    credentials: RequestCredentials;
    redirect: RequestRedirect;
    referrer: string;
    body: any;
    private _headers;
    constructor(url: string, config: Partial<HttpRequestConfig>);
    get headers(): {
        [headerName: string]: string;
    };
    set headers(headers: {
        [headerName: string]: string;
    });
    clone(): HttpRequest;
}
//# sourceMappingURL=http-request.class.d.ts.map