import { concatMap, of, throwError } from 'rxjs';
export function checkHttpStatus() {
    return function (source) {
        return source.pipe(concatMap(res => {
            return res.ok
                ? of(res)
                : throwError(() => res);
        }));
    };
}
