import { Observable } from 'rxjs';
export declare class HttpResponse {
    headers: Headers;
    ok: boolean;
    redirected: boolean;
    status: number;
    statusText: string;
    type: ResponseType;
    url: string;
    private readonly _response;
    constructor(response: Response);
    arrayBuffer(): Observable<ArrayBuffer>;
    blob(): Observable<Blob>;
    formData(): Observable<FormData>;
    json(): Observable<any>;
    text(): Observable<string>;
    clone(): HttpResponse;
}
//# sourceMappingURL=http-response.class.d.ts.map